#!/bin/bash

vercomp () {
    if [[ $1 == $2 ]]
    then
        return 0
    fi
    local IFS=.
    local i ver1=($1) ver2=($2)
    # fill empty fields in ver1 with zeros
    for ((i=${#ver1[@]}; i<${#ver2[@]}; i++))
    do
        ver1[i]=0
    done
    for ((i=0; i<${#ver1[@]}; i++))
    do
        if [[ -z ${ver2[i]} ]]
        then
            # fill empty fields in ver2 with zeros
            ver2[i]=0
        fi
        if ((10#${ver1[i]} > 10#${ver2[i]}))
        then
            return 1
        fi
        if ((10#${ver1[i]} < 10#${ver2[i]}))
        then
            return 2
        fi
    done
    return 0
}

# Find version
file=$(basename -- /opt/iParapheur/tomcat/webapps/alfresco/WEB-INF/lib/iparapheur-core*)
filename="${file%.*}"

version=`echo $filename | awk -F"-" '{print $3}'`

echo "Version détectée : $version"

vercomp $version "4.6.0"

if [ $? -ne 2 ]; then
    echo "Patch appliqué avec succès"
    exit
fi

rm /opt/iParapheur/tomcat/webapps/alfresco/WEB-INF/lib/iparapheur-core-*
cp /opt/_install/patch-helios/iparapheur-core-$version.jar /opt/iParapheur/tomcat/webapps/alfresco/WEB-INF/lib/
echo "Patch appliqué avec succès"
